import CJS_COMPAT_NODE_URL from 'node:url';
import CJS_COMPAT_NODE_PATH from 'node:path';
import CJS_COMPAT_NODE_MODULE from "node:module";

const __filename = CJS_COMPAT_NODE_URL.fileURLToPath(import.meta.url);
const __dirname = CJS_COMPAT_NODE_PATH.dirname(__filename);
const require = CJS_COMPAT_NODE_MODULE.createRequire(import.meta.url);
// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  a as t
} from "./chunk-HRN2KQZP.js";

// ../node_modules/tiny-invariant/dist/esm/tiny-invariant.js
var c = process.env.NODE_ENV === "production", n = "Invariant failed";
function v(i, r) {
  if (!i) {
    if (c)
      throw new Error(n);
    var o = typeof r == "function" ? r() : r, a = o ? "".concat(n, ": ").concat(o) : n;
    throw new Error(a);
  }
}
t(v, "invariant");

export {
  v as a
};
